//---------------------------------------------------------------------------

#ifndef CDSVmsObjTypeFH
#define CDSVmsObjTypeFH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <stdio.h>
//---------------------------------------------------------------------------
#include "ITSLibF.h"
//---------------------------------------------------------------------------

class TVmsType
{
public:
    TVmsType() {};
    ~TVmsType(){};
public:
    String  VMS_TYPE_CD;    //	N	VARCHAR2(5)	    N			VMS 유형 코드
    String  VMS_TYPE_NM;    //	N	VARCHAR2(40)	Y			VMS 유형 명
    int     VMS_WDTH;       //	N	NUMBER(3)	    Y			VMS 너비
    int     VMS_HGHT;       //	N	NUMBER(3)	    Y			VMS 높이
    int     ROW_NUM;        //	N	NUMBER(3)	    Y			행 개수
    int     COL_NUM;        //	N	NUMBER(3)	    Y			열 개수
    int     MODL_ROW_NUM;   //	N	NUMBER(3)	    Y			모듈 행 개수
    int     MODL_COL_NUM;   //	N	NUMBER(3)	    Y			모듈 열 개수
    int     POWR_ROW_NUM;   //	N	NUMBER(3)	    Y			전원모듈 행 개수
    int     POWR_COL_NUM;   //	N	NUMBER(3)	    Y			전원모듈 열 개수
    String  USE_YN;         //	N	CHAR(1)	        Y	'N'		사용 여부
};
//---------------------------------------------------------------------------
class TVmsTypeManager
{
public:
    TVmsTypeManager();
    ~TVmsTypeManager();

private:

public:
    TItsMap<String, TVmsType*>    FLists;

public:
    bool LoadFromDb(TADOConnection *ADbConn=NULL);
};
//---------------------------------------------------------------------------
extern TVmsTypeManager *VmsTypeManager;
//---------------------------------------------------------------------------

typedef enum eObjUse
{
    enINSERT,
    enUPDATE,
    enDELETE,
} EN_OBJUSE;

class TVmsObjUse
{
public:
    TVmsObjUse();
    ~TVmsObjUse();
public:
    int     VMS_FORM_ID;
    int     VMS_FORM_OBJECT_ID;
    int     MODE;
};
//---------------------------------------------------------------------------
class TVmsObjUseManager
{
public:
    TVmsObjUseManager();
    ~TVmsObjUseManager();

private:

public:
    TItsMap<int, TVmsObjUse*>    FLists;

public:
    bool LoadFromDb(String AFormId, TADOConnection *ADbConn=NULL);
};
//---------------------------------------------------------------------------

class TFormObjType
{
public:
    TFormObjType()  {};
    ~TFormObjType() {};

private:

public:
    int     TYPE;
    String  NAME;
};

class TVmsObjType
{
public:
    TVmsObjType();
    ~TVmsObjType();

private:

public:
    int     TYPE;

    TItsMap<int, TFormObjType*>  FLists;

public:
};
//---------------------------------------------------------------------------
class TVmsObjTypeManager
{
public:
    TVmsObjTypeManager();
    ~TVmsObjTypeManager();

private:

public:
    TItsMap<int, TVmsObjType*>   FLists;

public:
    bool LoadFromDb(TADOConnection *ADbConn=NULL);
};
//---------------------------------------------------------------------------
extern TVmsObjTypeManager *VmsObjTypeManager;
//---------------------------------------------------------------------------

#endif
